package com.sheep.gamegroup.model.entity;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by realicing on 2018/10/30.
 * realicing@sina.com
 */
public class GameListType implements Serializable {
    private String title;
    private int daily_play;
    private int is_hot;
    private int per_page;
    private int download_type;
    private int tag_id;
    private int type;
    private int display_type;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getDaily_play() {
        return daily_play;
    }

    public void setDaily_play(int daily_play) {
        this.daily_play = daily_play;
    }

    public int getIs_hot() {
        return is_hot;
    }

    public void setIs_hot(int is_hot) {
        this.is_hot = is_hot;
    }

    public int getPer_page() {
        return per_page;
    }

    public void setPer_page(int per_page) {
        this.per_page = per_page;
    }

    public int getDownload_type() {
        return download_type;
    }

    public void setDownload_type(int download_type) {
        this.download_type = download_type;
    }

    public int getTag_id() {
        return tag_id;
    }

    public void setTag_id(int tag_id) {
        this.tag_id = tag_id;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getDisplay_type() {
        return display_type;
    }

    public void setDisplay_type(int display_type) {
        this.display_type = display_type;
    }

    public Map<String, Object> getMap() {
        Map<String, Object> map = new HashMap<>();
        if(download_type > 0){
            map.put("download_type", download_type);
        } else if(tag_id > 0){
            map.put("tag_id", tag_id);
        } else {
            map.put("is_hot", is_hot);
            map.put("daily_play", daily_play);
            map.put("type", type);
        }
        return map;
    }

    //1：非预约下载 2：预约下载
    public static final int T_DOWNLOAD_TYPE_NO = 1;
    public static final int T_DOWNLOAD_TYPE_YES = 2;
}
